import { validateOptions } from './src/validation';
import { generateVueSitemapsTree } from './src/sitemap-tree';
import axios from "axios";


export async function generateSitemapsTree(options) {
    // Validate options and set default values
    console.log('options', options);
    validateOptions(options, true);

    const vueSitemapTree = generateVueSitemapsTree(options);
    const vueSitemaps = {
        sysCode: options.sysCode,
        sitemaps: JSON.stringify(vueSitemapTree)
    }
    console.info('vueSitemaps', JSON.stringify(vueSitemaps));

    // 发送服务器保存数据
    axios
    .post(options.host + "/sitemaps", vueSitemaps, { headers: { "Content-Type": "application/json" } })
    .then(res => {
      console.log(res.data)
      resolve(res.data)
    })
    .catch(error => {
      console.error(error);
    })
} 